{% set haproxy    = namespace(value=0) %}
{% set nginx      = namespace(value=0) %}
{% set redis      = namespace(value=0) %}
{% set postgresql = namespace(value=0) %}
{% set minio      = namespace(value=0) %}
{% set imaginary  = namespace(value=0) %}
{% set office     = namespace(value=0) %}
{% set syslog     = namespace(value=0) %}
{% set miniorep   = namespace(value=0) %}
{% set notifypush = namespace(value=0) %}
{% set hosts      = {} %}
{% for hostname, host in pillar['hosts'].items() | sort %}
{%   if host['framaspace'] is defined and host['framaspace'] %}
{%     if hostname is match('^haproxy') %}
{%       set nb            = hostname | replace('haproxy-', '') %}
{%       set haproxy.value = haproxy.value + 1 %}
{%       do hosts.update({hostname: { 'ip': '10.0.10.%s' % nb,  'wg': host['wg']} }) %}
{%     elif hostname is match('^nginx') %}
{%       set nb          = hostname | replace('nginx-', '') %}
{%       set nginx.value = nginx.value + 1 %}
{%       do hosts.update({hostname: { 'ip': '10.0.20.%s' % nb,  'wg': host['wg']} }) %}
{%     elif hostname is match('^redis') %}
{%       set nb          = hostname | replace('redis-', '') %}
{%       set redis.value = redis.value + 1 %}
{%       do hosts.update({hostname: { 'ip': '10.0.40.%s' % nb,  'wg': host['wg'] } }) %}
{%     elif hostname is match('^postgresql') %}
{%       set nb               = hostname | replace('postgresql-', '') %}
{%       set postgresql.value = postgresql.value + 1 %}
{%       do hosts.update({hostname: { 'ip': '10.0.50.%s' % nb,  'wg': host['wg'] } }) %}
{%     elif hostname is match('^minio-rep') %}
{%       set nb             = hostname | replace('minio-rep-', '') %}
{%       set miniorep.value = miniorep.value + 1 %}
{%       do hosts.update({hostname: { 'ip': '10.0.100.%s' % nb, 'wg': host['wg'] } }) %}
{%     elif hostname is match('^minio') %}
{%       set nb          = hostname | replace('minio-', '') %}
{%       set minio.value = minio.value + 1 %}
{%       do hosts.update({hostname: { 'ip': '10.0.60.%s' % nb,  'wg': host['wg'] } }) %}
{%     elif hostname is match('^imaginary') %}
{%       set nb              = hostname | replace('imaginary-', '') %}
{%       set imaginary.value = imaginary.value + 1 %}
{%       do hosts.update({hostname: { 'ip': '10.0.70.%s' % nb,  'wg': host['wg'] } }) %}
{%     elif hostname is match('^office') %}
{%       set nb           = hostname | replace('office-', '') %}
{%       set office.value = office.value + 1 %}
{%       do hosts.update({hostname: { 'ip': '10.0.80.%s' % nb,  'wg': host['wg'] } }) %}
{%     elif hostname is match('^syslog') %}
{%       set nb           = hostname | replace('syslog-', '') %}
{%       set syslog.value = syslog.value + 1 %}
{%       do hosts.update({hostname: { 'ip': '10.0.90.%s' % nb,  'wg': host['wg'] } }) %}
{%     elif hostname is match('^notify-push') %}
{%       set nb               = hostname | replace('notify-push-', '') %}
{%       set notifypush.value = notifypush.value + 1 %}
{%       do hosts.update({hostname: { 'ip': '10.0.110.%s' % nb,  'wg': host['wg']} }) %}
{%     endif %}
{%   endif %}
{% endfor %}
